! Programador: Luciano Kiyoshi Araki
! Data: 15/10/2009
! Local: Lena-2, DEMEC, UFPR.

! Biblioteca
use portlib

! Definição de variáveis
integer       a, b, c, dos
real          i, j, k
character(30) p, q
character(60) r

! Leitura de dados
write(*,*) "Informe o valor de a (inteiro)"
read(*,*) a

write(*,*) "Informe o valor de b (inteiro)"
read(*,*) b

write(*,*) "Informe conteudo de p (caracter)"
read(*,*) p

write(*,*) "Informe conteudo de q (caracter)"
read(*,*) q

! Concatenação de p e q em r
r = trim(adjustl(p)) // " " // q

! Operações
i = 2.0*a/b + (5.0*a + b)**(2.0/5.0)

j = cos(1.0*a*b) - a*sin(1.0*b)

k = (abs(2.0*a+3.0*b))**(1.0/6.0) + 1.0*a/b

c = sqrt(abs(1.0*i + j + k))

! Saída de dados
open (9,file='saida.txt')

write(9,1) a
write(9,2) b
write(9,3) c
write(9,4) i
write(9,5) j
write(9,6) k
write(9,7) p
write(9,8) q
write(9,9) r

close (9)

! Formatos
1 format ("Variável a (entrada):", t30, i8)
2 format ("Variável b (entrada):", t30, i8)
3 format ("Variável c (processada):", t30, i8)
4 format ("Variável i (processada):", t30, 1pe15.4)
5 format ("Variável j (processada):", t30, 1pe15.4)
6 format ("Variável k (processada):", t30, 1pe15.4)
7 format ("Variável p (entrada):", t30, a30)
8 format ("Variável q (entrada):", t30, a30)
9 format ("Variável r (processada):", t30, a60)


! Abertura automática do arquivo de saída
dos = system("notepad saida.txt")

end

